IPSecGateways

Operations to create and manage IPSec VPN Gateways.

This tag groups all operations for ipsecgateways.

Retrieve all IPSecGateways

get
/ipsecgateways

This endpoint enables retrieving all IPSecGateways using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested IPSecGateways successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of IPSecGateway resources.

Example: 26a73a96-96e9-51d2-98d2-90043b958618
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of IPSecGateway resources.

Example: /ipsecgateways
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/ipsecgateways

Create IPSecGateway

post
/ipsecgateways

Creates a new IPSecGateway.

The full IPSecGateway needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/ipsecgateways

Retrieve IPSecGateway

get
/ipsecgateways/{gatewayId}

Returns the IPSecGateway by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
Responses
chevron-right
200

Getting IPSecGateway was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the IPSecGateway.

Example: /ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44
get
/ipsecgateways/{gatewayId}

Ensure IPSecGateway

put
/ipsecgateways/{gatewayId}

Ensures that the IPSecGateway with the provided ID is created or modified. The full IPSecGateway needs to be provided to ensure (either update or create) the IPSecGateway. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
Body
idstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
metadataanyOptional

Metadata

Responses
chevron-right
200

IPSecGateway successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the IPSecGateway.

Example: /ipsecgateways/66a114c7-2ddd-5119-9ddf-5a789f5a5a44
put
/ipsecgateways/{gatewayId}

Delete IPSecGateway

delete
/ipsecgateways/{gatewayId}

Deletes the specified IPSecGateway.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
Responses
delete
/ipsecgateways/{gatewayId}

No content

Last updated

Was this helpful?